$ERR_ALCOMPAT

626

ArrayList compatibility issue. See the 9.1.5 release notes

You’ve attempted to run a program that uses the ArrayList class without recompiling first. You will only potentially see this error after upgrading to 9.1.5 or higher, and once you have recompiled, you will not see it again. However, you must still either change all references to ArrayList to Synergex.SynergyDE.Collections.ArrayList or convert all ArrayList index references to be 0‑based. If you don’t do one of these two steps, you will probably encounter future problems. More detailed information is provided in the 9.1.5 release notes.